질답게시판

안녕하세요. 마이클라우드 질문입니다. ^^

1 파랑곰 3 441

안녕하세요.

매번 마클관련글 잘보고있습니다.

마클 1세대사서 우성님 블로그보며 지금까지 지지고 볶고 잘 사용하다가

결국 순정으로 돌아왔습니다. ^^

 

순정상태에서 트랜스미션만 깔고 몇가지 스크립트를 추가하고 싶은데

중간에 막히는게 있어서 질문드립니다. ^^

 

현재 트랜스미션 설치하고 

다운로드 완료 후 텔레그램으로 메세지 받는 스크립트까지 설정을 했습니다.

(참고링크 : https://blog.zeroidle.com/857)

 

조금더 욕심내서 텔레그랩 봇서버를 올려볼까하는데요.

올리고 싶은 봇서버 소스가 python3 에서 작동을 하네요.

(참고링크 : https://www.clien.net/service/board/lecture/8653163)

 

마이클라우드 최신펌(v04.05.00-315) 사용중이고요. 파이썬 버전은 2.7로 확인됩니다.

결론적으로 마이클라우드에 python3를 올리고 싶습니다.

 

아무래도 2.7보다는 3버전으로 올라가는게 이것저것 테스트해보기 좋을거같기도 하고요.

 

우분투 명령어에 거부감은 없는 편이고, 간단한 쉘스크립트나 파이썬 코드는 읽을수 있습니다. ^^;;

방법이 없을까요?

3 Comments
M 우성군 08.04 00:56  
와 대단하시네요!!! 봇과 바로 연결시키시다니 ㅎㅎ

python은 한번도 설치해본 적이 없었습니다만, 기본적으로 데비안에서 python 설치와 다를 것이 없습니다.

다만 데비안 버전이 구형이라 python3 버전이 있는지 의문이고, 두번째로 해당 패키지를 설치하고 내부가 꼬일 수도 있습니다.

초기화를 각오하고 올리셔야 될거예요.

마지막으로 제대로 돌아갈지 의심되기도 하네요.

부디 성공하시길 바랍니다.
1 파랑곰 08.08 12:09  
주말 작업 결과 공유합니다. ^^
기본 마클펌( V3 or V4) 에서는 파이썬 3버전으로 업그래이드 불가로 결론지었습니다.
제가 능력부족일지도 모르겠지만 ^^;; 암튼 모두 실패했습니다.
마클에 우분투 올리고 파이썬 3로 업그래이드하고
봇을 올리는건 가능합니다. 봇관련해서 깃헙에 있는 소스를 몇군데 수정하면 되긴합니다만...
OS자체가 많이 불안하네요. 몇번 재부팅하는 과정에서 벽돌이 되는 현상이 자주 일어납니다.
별로 추천드리지 않습니다.

제가 내린 결론은 마클은 안정화 펌웨어 V4 + 트랜스미션 + 다운로드 완료 쉘스크립트까지만 적용하고...
별도의 라즈베리파이에 봇서버를 운영하는게 현실적인 대안이라고 생각하고 소스를 뜯어보고있습니다.
소스도 transmission-remote 명령어를 이용해서 제어를 하는 방식이다보니  동일 시스템이 아니어도
명령을 내릴수 있지 않을까 하여 테스트 중입니다.
혹시나 게시물 보고 도전하는 분 있을까봐 먼저 삽질한 결과 남겨놉니다. ^^
M 우성군 08.08 23:55  
에공 시간 투자 많이 하셨겠네요.

고생하셨습니다.

그리고 감사합니다!
제목